Resolve a platform component configuration
curl --request POST \
--url https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/platformBinding/component/{componentKey}/resolve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"profileConfig": {},
"clusterInputs": {},
"componentOutputs": {}
}
'import requests
url = "https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/platformBinding/component/{componentKey}/resolve"
payload = {
"profileConfig": {},
"clusterInputs": {},
"componentOutputs": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({profileConfig: {}, clusterInputs: {}, componentOutputs: {}})
};
fetch('https://api.qovery.com/organization/{organizationId}/cluster/{clusterId}/platformBinding/component/{componentKey}/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"clusterId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"componentKey": "<string>",
"fields": [
{
"key": "<string>",
"type": "<string>",
"required": true,
"label": "<string>",
"sensitive": true,
"constraints": {
"allowedValues": [
"<string>"
],
"min": 123,
"max": 123,
"minLength": 123,
"maxLength": 123,
"pattern": "<string>"
},
"defaultValue": "<string>",
"description": "<string>"
}
],
"requirements": [
{
"key": "<string>",
"type": "<string>",
"required": true,
"label": "<string>",
"sensitive": true,
"constraints": {
"allowedValues": [
"<string>"
],
"min": 123,
"max": 123,
"minLength": 123,
"maxLength": 123,
"pattern": "<string>"
},
"defaultValue": "<string>",
"description": "<string>"
}
],
"componentBindings": [
{
"input": "<string>",
"fromComponent": "<string>",
"output": "<string>"
}
],
"violations": [
{
"code": "<string>",
"fieldPath": "<string>",
"message": "<string>"
}
]
}Platform Configuration
Resolve a platform component configuration
Resolves the fields and runtime requirements to display for a component using the cluster context and the values currently entered in the Console. This operation is read-only.
POST
/
organization
/
{organizationId}
/
cluster
/
{clusterId}
/
platformBinding
/
component
/
{componentKey}
/
resolve
Resolve a platform component configuration
Authorizations
bearerAuthApiKeyAuth
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Path Parameters
Organization ID
Cluster ID
Platform component key
Body
application/json
Was this page helpful?
⌘I